> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# QR kodu oluştur

> QR kodu oluştur. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json POST /meta/phone-numbers/{phoneNumberId}/qr-codes
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/phone-numbers/{phoneNumberId}/qr-codes:
    parameters:
      - $ref: '#/components/parameters/PhoneNumberId'
    post:
      tags:
        - QR kodları
      summary: QR kodu oluştur
      description: >-
        QR kodu oluştur. Bu işlem için parametreleri, örneği ve kullanılabilir
        yanıtları inceleyin.
      operationId: createQrCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - prefilledMessage
              properties:
                prefilledMessage:
                  type: string
              description: |-
                ```json
                {
                  "prefilledMessage": "Hi, I need help with my order"
                }
                ```
            example:
              prefilledMessage: Hi, I need help with my order
      responses:
        '200':
          description: >-
            QR code created


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | `phoneNumberId` not linked to your organization | Verify
            the id |

            | `400` | `prefilledMessage` missing or too long | Send a non-empty
            message |

            | `502` | Graph unreachable or timed out | Retry with backoff |
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - prefilled_message
                  - deep_link_url
                  - qr_image_url
                properties:
                  code:
                    type: string
                  prefilled_message:
                    type: string
                  deep_link_url:
                    type: string
                  qr_image_url:
                    type: string
              example:
                code: 4O4YJHFAB3SLA1
                prefilled_message: Hi, I need help with my order
                deep_link_url: https://wa.me/message/4O4YJHFAB3SLA1
                qr_image_url: >-
                  https://scontent.whatsapp.net/v/t61.24694-24/qr_4O4YJHFAB3SLA1.svg
components:
  parameters:
    PhoneNumberId:
      name: phoneNumberId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen telefon numarası
        kimliği.
      schema:
        type: string
      example: '5647382910'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````